SchemaFactoryConfigurationError (Java SE 22 & JDK 22)
Description: declaration: module: java.xml, package: javax.xml.validation, class: SchemaFactoryConfigurationError
Keywords: javax.xml.validation.SchemaFactoryConfigurationError class

Module java.xml
Package javax.xml.validation

# Class SchemaFactoryConfigurationError

java.lang.Object
java.lang.Throwable
java.lang.Error
javax.xml.validation.SchemaFactoryConfigurationError

All Implemented Interfaces:
  `Serializable`

public final class SchemaFactoryConfigurationError extends Error
Thrown when a problem with configuration with the Schema Factories exists. This error will typically be thrown when the class of a schema factory specified in the system properties cannot be found or instantiated.

Since:
  1.8
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaFactoryConfigurationError()`
  Create a new `SchemaFactoryConfigurationError` with no detail message.
  `SchemaFactoryConfigurationError(String message)`
  Create a new `SchemaFactoryConfigurationError` with the `String` specified as an error message.
  `SchemaFactoryConfigurationError(String message, Throwable cause)`
  Create a new `SchemaFactoryConfigurationError` with the given `Throwable` base cause and detail message.
  `SchemaFactoryConfigurationError(Throwable cause)`
  Create a new `SchemaFactoryConfigurationError` with the given `Throwable` base cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SchemaFactoryConfigurationError

    public SchemaFactoryConfigurationError()
    Create a new `SchemaFactoryConfigurationError` with no detail message.

  - ### SchemaFactoryConfigurationError

    public SchemaFactoryConfigurationError(String message)
    Create a new `SchemaFactoryConfigurationError` with the `String` specified as an error message.
    Parameters:
      `message` - The error message for the exception.

  - ### SchemaFactoryConfigurationError

    public SchemaFactoryConfigurationError(Throwable cause)
    Create a new `SchemaFactoryConfigurationError` with the given `Throwable` base cause.
    Parameters:
      `cause` - The exception or error to be encapsulated in a SchemaFactoryConfigurationError.

  - ### SchemaFactoryConfigurationError

    public SchemaFactoryConfigurationError(String message, Throwable cause)
    Create a new `SchemaFactoryConfigurationError` with the given `Throwable` base cause and detail message.
    Parameters:
      `message` - The detail message.
      `cause` - The exception or error to be encapsulated in a SchemaFactoryConfigurationError.